Description

When attempting to do a rendezvous, one of the intersect markers is almost always missing. Usually the hot pink one. Also, often the
markers are "stale" -- that is, after you pass them they stay in the same place and show a positive time in the past for the intersect
time. If you have a stale marker, it often vanishes completely when your ship crosses its Ap or Pe.

The attached sandbox mode savegame illustrates the most common form of the issue. The pink marker is missing for 50% of the
time, every orbit. When you cross an orange marker, it turns pink and the other orange one shows up. When you cross a pink marker
(if you have one) it disappears and you are left with only the orange one.

(The savegame has only two ships, in coplanar orbits, with both ships targeting each other. If you thrust in any direction, sometimes
the second marker will come back if it is gone -- or sometimes it will go away if you are lucky enough to have two.)

History

#1 - 06/08/2016 10:47 PM - bewing

- File stale_intercept.sfs added

Attaching a career savegame showing the "stale intercept marker" error. The terror3 ship has passed the orange marker. Now it is only displaying half
the time (flickering quickly), and when it displays at all it is still showing the orange marker with a positive intersection time. When the ship passes its
Pe, the marker will disappear completely and the situation will revert to the "only one intercept marker" bug.

#2 - 06/24/2016 10:46 AM - bewing

Still exists in ver 1.1.3.
Actually, it's worse -- Kerbonauts on EVA can have completely incorrect or completely missing interception markers. | will add another savegame later
demonstrating that issue.

#3 - 06/29/2016 02:20 PM - rsparkyc
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Looks like I'm running into this same issue, screenshots are here:
http://imgur.com/a/40Ta8

Running vanilla install, OSX, 1.1.3

#4 - 07/04/2016 11:27 PM - Anonymous
- File intersectionMarkers.sfs added
- File intersectionMarkerPast.png added

- File intersectionMarkerFuture.png added

| reproduced the problem starting with the first asteroid-redirect scenario, and saved in a state where the markers flicker between
1) both marking a minimum radial distance on a point in the orbit from the near past
2) marking two of the three points with minimum radial distances, but not the two that we would call 'intersections'

Considering the fact that lines in 3D space have only an infinitesimal chance of truly intersecting, | started to make the case at
http://forum.kerbalspaceprogram.com/index.php?/topic/139023-intersect-markers-disappearing/
http://imgur.com/a/4OTa8
http://forum.kerbalspaceprogram.com/index.php?/topic/139023-intersect-markers-disappearing/

that players most likely want markers at the altitude-crossing points, when the controlled orbit's altitude crosses the target orbit's altitude, and the

single closest-altitude point when there is no crossing. Thinking again, it seems just as useful to mark the points where the shadow of our orbit,

projected into the plane of the target orbit, crosses the target orbit.

#5 - 07/15/2016 03:47 PM - bewing

- Assignee set to taniwha

Taniwha has been looking into this in the forums: http:/forum.kerbalspaceprogram.com/index.php?/topic/139023

#6 - 07/15/2016 04:18 PM - bewing

@k-oharababa: "Thinking again, it seems just as useful to mark the points where the shadow of our orbit, projected into the plane of the target orbit,

crosses the target orbit."

That's what | was telling taniwha, but it's the other way around. You want the projection of the target orbit into the plane of your current orbit. It comes

to about the same thing, but there would be an additional "projection" operation.

#7 - 07/17/2016 12:19 AM - bewing
- Status changed from Confirmed to Ready to Test

- % Done changed from 10 to 80

taniwha says he's made major improvements, ready to test for ver 1.1.4.

#8 - 07/17/2016 09:15 AM - TriggerAu
- Status changed from Ready to Test to Being Worked On
- % Done changed from 80 to 30

Will update it to RTT when we have the next version ready to Test

#9 - 07/17/2016 09:16 AM - TriggerAu
- Severity changed from High to Normal

#11 - 10/13/2016 12:51 PM - Squelch
- Status changed from Being Worked On to Ready to Test
- Target version set to 1.2.0

- % Done changed from 30 to 80

This has been addressed and should be fixed in KSP 1.2

#12 - 11/18/2016 08:08 PM - JPLRepo
- Status changed from Ready to Test to Closed
- % Done changed from 80 to 100

Closing. No response.
